CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

新绘图事件 (ActiveX)

2023-1-2 23:42| 发布者: admin| 查看: 180| 评论: 0|来自: AutoCAD

摘要: 在创建新图形之前触发。

在创建新图形之前触发。

支持的平台:仅窗口

签名

工 务 局:

object.NewDrawing()
对象

类型:应用

计算结果为有效容器对象的对象表达式。在这种情况下,唯一有效的容器是应用程序。

言论

显示模式对话框时不会触发任何事件。

例子

工 务 局:

Public WithEvents ACADApp As AcadApplication    ' Use with Application Event Examples
Sub Example_AcadApplication_Events()
    ' This example intializes the public variable (ACADApp) which will be used
    ' to intercept AcadApplication Events
    '
    ' The VBA WithEvents statement makes it possible to intercept an generic object
    ' with the events associated with that object.
    '
    ' Before you will be able to trigger any of the AcadApplication events,
    ' you will first need to run this procedure.
    
    ' We could get the application from the ThisDocument object, but that would
    ' require having a drawing open, so we grab it from the system.
    Set ACADApp = GetObject(, "AutoCAD.Application.24")
End Sub

Private Sub ACADApp_NewDrawing()
    ' This example intercepts an Application NewDrawing event.
    '
    ' This event is triggered when a new drawing request is sent to AutoCAD.
    '
    ' To trigger this example event:
    '     1) Make sure to run the example that initializes
    '     the public variable (named ACADApp) linked to this event.
    '
    '     2) Use AutoCAD to create a new drawing using File/New

    MsgBox "A request to start a new drawing was just intercepted!"
End Sub

Visual LISP:

Not available

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-12 05:04

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部